import Vuex from 'vuex'
import Vue from 'vue'
import * as types from './types'

Vue.use(Vuex);
export default new Vuex.Store({
    state: {
        title: '',
        isShowFoot: true,
        slideShow: true
    },
    mutations: {
        [types.TITLE]: (state, data) => {
            state.title = data;
        },
        isShowFoot(state,data) {
          state.showfoot = data;
        },
        ['mutations-slide'](state,data) {
            state.slideShow = data;
        },
    }
})
